# -*- coding: utf-8 -*-
from setuphelpers import *

""" 
Sources:
https://dotnet.microsoft.com/download/dotnet-framework
https://dotnet.microsoft.com/download/dotnet-framework/net48
https://dotnet.microsoft.com/download/thank-you/net48-offline

"""

# Defining variables
bin_name = "NDP48-DevPack-ENU.exe"
silent_inst_args = "/q /norestart"


def install():
    # Initializing variables
    package_version = control.get_software_version()

    # Getting actual .NET Framework 4.8 version installed
    try:
        installed_version = registry_readstring(HKEY_LOCAL_MACHINE, r"SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full", "Version")
        print("Actual installed .NET Framework 4.8 version is " + installed_version)
    except:
        print(".NET Framework 4.8 is not currently installed")
        installed_version = "0"

    # Compare installed version on 3 level
    if Version(installed_version, 3) >= Version(package_version, 3):
        print(".NET Framework 4.8 is up-to-date")
    else:
        # Installing the package
        install_exe_if_needed(
            bin_name,
            silentflags=silent_inst_args,
            timeout=1000,
        )
